<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Admin extends CI_Controller {

	public function __construct()
	{
	    parent::__construct();
	    $this->load->database(); 
	    $this->load->model('admin_model'); 
	    $this->load->library('form_validation');
	    $this->load->helper( 'utility' );
	    $this->load->helper('url');
	    date_default_timezone_set('Asia/Dhaka');
	} 

	public function index()
	{
		if (isset($_SESSION['id'])) {
            redirect(base_url('admin/dash'));
        } else {
            $this->load->view('admin/login');
        }
        
	}

    public function admin()
    {
        $this->load->view('admin/login');
    }

    public function login()
    {
        $this->load->view('admin/login');
    }

	public function admin_login()
	{
		
		if(($this->input->post('username', true)!='') && ($this->input->post('password', true)!='')){
			$this->form_validation->set_rules('username','Username','required');
			$this->form_validation->set_rules('password','Password','required');
			if($this->form_validation->run()){
				$username = $this->input->post('username', true);
				$password = $this->input->post('password', true);
				$results = $this->admin_model->admin_login_info($username, $password);
				if($results) {
					foreach ($results as $key => $result) {
						$_SESSION['id']      = $result->id;
						$_SESSION['name']    = $result->name;
						$_SESSION['user_id'] = $result->user_id;
						$_SESSION['pass']    = $result->password;
						$_SESSION['status']  = $result->status;
						redirect(base_url('admin/dash'));
					}
					
				} else {
					$this->session->set_flashdata('error', 'Username or Password is incorrect.');
					$this->login();
				}
			}
		} else {
			$this->session->set_flashdata('error', 'Type username & password.');
			$this->login();
		}
		
	}

	public function logout()
	{
		session_destroy();
		//$this->session->sess_destroy();
		$this->session->unset_userdata("username", "ppp");
		$this->session->set_flashdata('error', 'Logout Successfull.');
		$this->login();
	}

	public function forget_password()
	{
		echo "Please Contact with Software Developer. <a href='admin'>Go Login Page</a>";
		//$this->load->view('admin/forget_password');
	}

	public function dash()
	{
		$this->load->view('admin/dash');
	}

    public function basic_info()
    {
        $this->load->view('admin/basic_info');
    }

    public function basic_info_update()
    {
        if(!empty($_FILES['logo']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['logo']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('logo')){
                $uploadData = $this->upload->data();
                $logo = $uploadData['file_name'];
            } else {
                $logo = $this->input->post('old_logo', true);
            }
        } else {
            $logo = $this->input->post('old_logo', true);
        }

        if(!empty($_FILES['banner']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['banner']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('banner')){
                $uploadData = $this->upload->data();
                $banner = $uploadData['file_name'];
            } else {
                $banner = $this->input->post('old_banner', true);
            }
        } else {
            $banner = $this->input->post('old_banner', true);
        }
        
        $data = array(
            'name'    => $this->input->post('name', true),
            'mobile'  => $this->input->post('mobile', true),
            'email'   => $this->input->post('email', true),
            'address' => $this->input->post('address', true),            
            'logo'    => $logo,            
            'banner'  => $banner            
        );
        $id = 1;
        $query = $this->db->update('basic_info', $data, ['id' => $id]);
        if ($query) {
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect($_SERVER['HTTP_REFERER']);
            //redirect(base_url('admin/basic_info'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function slider()
    {
        $this->load->view('admin/slider');
    }

    public function slider_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            } else {
                $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
                redirect(base_url('admin/slider'));
            }
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/slider'));
        }
        
        $data = array(
            'pic' => $pic,
            'sts' => 1
        );
        $query = $this->db->insert('slider', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect(base_url('admin/slider'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/slider')); 
        }
    }

    public function slider_delete($slider_id)
    {
        $this->db->where('id', $slider_id)->delete('slider');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/slider'));
    }

    public function classes()
    {
        $this->load->view('admin/classes');
    }

    public function classes_store() 
    {
        $data = array(
            'name' => $this->input->post('name', true),
            'sts'  => 1
        );
        $query=$this->db->insert('classes', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        }
        else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']);
        }
    }

    public function classes_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/classes_edit', $data);
    }

    public function classes_update()
    {
       
        $data = array(
            'name'         => $this->input->post('name', true),
            'sts'          => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('classes', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/classes'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function classes_delete($id)
    {
        $this->db->where('id', $id)->delete('classes');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/classes'));
    }

    public function user()
    {
        $this->load->view('admin/user');
    }

    public function user_store() 
    {
        $data = array(
            'name'     => $this->input->post('name', true),
            'user_id'  => $this->input->post('user_id', true),
            'pass'     => $pass = $this->input->post('pass', true),
            'password' => md5($pass),
            'mobile'   => $this->input->post('mobile', true),
            'email'    => '-',
            'status'   => 'a',
            'sts'      => 1
        );
        $query=$this->db->insert('user', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        }
        else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']);
        }
    }

    public function user_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/user_edit', $data);
    }

    public function user_update()
    {
        $data = array(
            'name'     => $this->input->post('name', true),
            'user_id'  => $this->input->post('user_id', true),
            'pass'     => $pass = $this->input->post('pass', true),
            'password' => md5($pass),
            'mobile'   => $this->input->post('mobile', true),
            'email'    => '-',
            'status'   => 'a',
            'sts'      => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('user', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/user'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function user_delete($id)
    {
        $this->db->where('id', $id)->delete('user');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/user'));
    }

    public function password_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/password_edit', $data);
    }

    public function password_update()
    {
        $data = array(
            'pass'     => $pass = $this->input->post('pass', true),
            'password' => md5($pass)
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('user', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function links()
    {
        $this->load->view('admin/links');
    }

    public function links_store() 
    {
        $data = array(
            'name' => $this->input->post('name', true),
            'url'  => $this->input->post('url', true),
            'sts'  => 1
        );
        $query=$this->db->insert('links', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        }
        else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']);
        }
    }

    public function links_delete($id)
    {
        $this->db->where('id', $id)->delete('links');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/links'));
    }

    public function offdays()
    {
        $this->load->view('admin/offdays');
    }

    public function offdays_store() 
    {
        $data = array(
            'reason' => $this->input->post('reason', true),
            'offdate' => $this->input->post('offdate', true),
            'sts'  => 1
        );
        $query=$this->db->insert('offdays', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        }
        else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']);
        }
    }

    public function offdays_delete($id)
    {
        $this->db->where('id', $id)->delete('offdays');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/offdays'));
    }

    public function calendar()
    {
        $this->load->view('admin/calendar');
    }

    public function calendar_store() 
    {
        $data = array(
            'subject' => $this->input->post('subject', true),
            'ptime' => $this->input->post('ptime', true),
            'sts'  => 1
        );
        $query=$this->db->insert('calendar', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        }
        else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']);
        }
    }

    public function calendar_delete($id)
    {
        $this->db->where('id', $id)->delete('calendar');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/calendar'));
    }

    public function teacher_type()
    {
        $this->load->view('admin/teacher_type');
    }

    public function teacher_type_store() 
    {
        $data = array(
            'name' => $this->input->post('name', true),
            'sts'  => 1
        );
        $query=$this->db->insert('teacher_type', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        }
        else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']);
        }
    }

    public function teacher_type_delete($id)
    {
        $this->db->where('id', $id)->delete('links');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/teacher_type'));
    }

    public function permission_edu()
    {
        $this->load->view('admin/permission_edu');
    }

    public function permission_edu_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            } else {
                $pic = '';
            }
        } else {
            $pic = '';
        }
        
        $data = array(
            'pic' => $pic,
            'details' => $this->input->post('details', true),
            'sts' => 1
        );
        $query = $this->db->insert('permission_edu', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect(base_url('admin/permission_edu'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/permission_edu')); 
        }
    }

    public function permission_edu_delete($id)
    {
        $this->db->where('id', $id)->delete('permission_edu');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/permission_edu'));
    }

    public function permission_branch()
    {
        $this->load->view('admin/permission_branch');
    }

    public function permission_branch_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            } else {
                $pic = '';
            }
        } else {
            $pic = '';
        }
        
        $data = array(
            'pic' => $pic,
            'details' => $this->input->post('details', true),
            'sts' => 1
        );
        $query = $this->db->insert('permission_branch', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect(base_url('admin/permission_branch'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/permission_branch')); 
        }
    }

    public function permission_branch_delete($id)
    {
        $this->db->where('id', $id)->delete('permission_branch');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/permission_branch'));
    }

    public function mpo()
    {
        $this->load->view('admin/mpo');
    }

    public function mpo_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            } else {
                $pic = '';
            }
        } else {
            $pic = '';
        }
        
        $data = array(
            'pic' => $pic,
            'details' => $this->input->post('details', true),
            'sts' => 1
        );
        $query = $this->db->insert('mpo', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect(base_url('admin/mpo'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/mpo')); 
        }
    }

    public function mpo_delete($id)
    {
        $this->db->where('id', $id)->delete('mpo');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/mpo'));
    }






    //================

	
    
	public function gallery()
	{
		$this->load->view('admin/gallery');
	}

	public function gallery_store()
	{
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            	redirect(base_url('admin/gallery'));
            }
        }else{
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/gallery'));
        }
        
        $data = array(
            'pic' => $pic,
            'sts' => 1
        );
        $query=$this->db->insert('gallery', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Uploaded Successfull.</font>');
            redirect(base_url('admin/gallery'));                       
        }
        else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/gallery')); 
        }
	}

	public function gallery_delete($gallery_id)
	{
		$this->db->where('id', $gallery_id)->delete('gallery');
		$this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/gallery'));
	}

    public function scrollbar()
    {
        $this->load->view('admin/scrollbar');
    }

    public function scrollbar_store()
    {
        $data = array(
            'name' => $this->input->post('name', true),
            'sts'  => 1
        );
        $query=$this->db->insert('scrollbar', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/scrollbar'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function scrollbar_delete($id)
    {
        $this->db->where('id', $id)->delete('scrollbar');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/scrollbar'));
    }

    
    public function committee()
    {
        $this->load->view('admin/committee');
    }

    public function committee_add()
    {
        $this->load->view('admin/committee_add');
    }

    public function committee_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = 'pic.jpg';
            }
        }else{
            $pic = 'pic.jpg';
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'sl'           => $this->input->post('sl', true),
            'sts'          => 1
        );
        $query=$this->db->insert('committee', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/committee'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/committee_add')); 
        }
    }

    public function committee_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/committee_edit', $data);
    }

    public function committee_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'sl'           => $this->input->post('sl', true),
            'sts'          => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('committee', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/committee'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function committee_delete($id)
    {
        $this->db->where('id', $id)->delete('committee');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/committee'));
    }

    public function bani()
    {
        $this->load->view('admin/bani');
    }

    public function bani_add()
    {
        $this->load->view('admin/bani_add');
    }

    public function bani_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = 'pic.jpg';
            }
        }else{
            $pic = 'pic.jpg';
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'details'      => $this->input->post('details', true),
            'sts'          => 1
        );
        $query=$this->db->insert('bani', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/bani'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/bani_add')); 
        }
    }

    public function bani_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/bani_edit', $data);
    }

    public function bani_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'details'      => $this->input->post('details', true),
            'sts'          => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('bani', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/bani'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function bani_delete($id)
    {
        $this->db->where('id', $id)->delete('bani');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/bani'));
    }

    public function student_good()
    {
        $this->load->view('admin/student_good');
    }

    public function student_good_add()
    {
        $this->load->view('admin/student_good_add');
    }

    public function student_good_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = 'pic.jpg';
            }
        }else{
            $pic = 'pic.jpg';
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'class'        => $this->input->post('class', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'details'      => $this->input->post('details', true),
            'sts'          => 1
        );
        $query=$this->db->insert('student_good', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/student_good'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/student_good_add')); 
        }
    }

    public function student_good_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/student_good_edit', $data);
    }

    public function student_good_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'class'        => $this->input->post('class', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'details'      => $this->input->post('details', true),
            'sts'          => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('student_good', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/student_good'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function student_good_delete($id)
    {
        $this->db->where('id', $id)->delete('student_good');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/student_good'));
    }

    public function teachers()
    {
        $this->load->view('admin/teachers');
    }

    public function teachers_add()
    {
        $this->load->view('admin/teachers_add');
    }

    public function teachers_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = 'pic.jpg';
            }
        }else{
            $pic = 'pic.jpg';
        }
        
        $data = array(
            //'teacher_type_id' => $this->input->post('teacher_type_id', true),
            'teacher_type_id' => 0,
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'sl'           => $this->input->post('sl', true),
            'sts'          => 1
        );
        $query=$this->db->insert('teachers', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/teachers'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/teachers_add')); 
        }
    }

    public function teachers_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/teachers_edit', $data);
    }

    public function teachers_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            //'teacher_type_id' => $this->input->post('teacher_type_id', true),
            'teacher_type_id' => 0,
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'sl'           => $this->input->post('sl', true),
            'sts'          => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('teachers', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/teachers'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function teachers_delete($id)
    {
        $this->db->where('id', $id)->delete('teachers');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/teachers'));
    }

    public function executive()
    {
        $this->load->view('admin/executive');
    }

    public function executive_add()
    {
        $this->load->view('admin/executive_add');
    }

    public function executive_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = 'pic.jpg';
            }
        }else{
            $pic = 'pic.jpg';
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'sl'           => $this->input->post('sl', true),
            'sts'          => 1
        );
        $query=$this->db->insert('executive', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/executive'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/executive_add')); 
        }
    }

    public function executive_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/executive_edit', $data);
    }

    public function executive_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'sl'           => $this->input->post('sl', true),
            'sts'          => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('executive', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/executive'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function executive_delete($id)
    {
        $this->db->where('id', $id)->delete('executive');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/executive'));
    }

    public function employee()
    {
        $this->load->view('admin/employee');
    }

    public function employee_add()
    {
        $this->load->view('admin/employee_add');
    }

    public function employee_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = 'pic.jpg';
            }
        }else{
            $pic = 'pic.jpg';
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'sl'           => $this->input->post('sl', true),
            'sts'          => 1
        );
        $query=$this->db->insert('employee', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/employee'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/employee_add')); 
        }
    }

    public function employee_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/employee_edit', $data);
    }

    public function employee_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'name'         => $this->input->post('name', true),
            'designation'  => $this->input->post('designation', true),
            'pic'          => $pic,
            'mobile'       => $this->input->post('mobile', true),
            'sl'           => $this->input->post('sl', true),
            'sts'          => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('employee', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/employee'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function employee_delete($id)
    {
        $this->db->where('id', $id)->delete('employee');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/employee'));
    }

    public function routine()
    {
        $this->load->view('admin/routine');
    }

    public function routine_add()
    {
        $this->load->view('admin/routine_add');
    }

    public function routine_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif|pdf';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = '';
            }
        }else{
            $pic = '';
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'name'    => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id']   
        );
        $query=$this->db->insert('routine', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/routine'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/routine_add')); 
        }
    }

    public function routine_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/routine_edit', $data);
    }

    public function routine_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'name'     => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id'] 
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('routine', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/routine'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function routine_delete($id)
    {
        $this->db->where('id', $id)->delete('routine');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/routine'));
    }

    public function syllabus()
    {
        $this->load->view('admin/syllabus');
    }

    public function syllabus_add()
    {
        $this->load->view('admin/syllabus_add');
    }

    public function syllabus_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif|pdf';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = '';
            }
        }else{
            $pic = '';
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'name'    => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id']   
        );
        $query=$this->db->insert('syllabus', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/syllabus'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/syllabus_add')); 
        }
    }

    public function syllabus_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/syllabus_edit', $data);
    }

    public function syllabus_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'name'     => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id'] 
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('syllabus', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/syllabus'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function syllabus_delete($id)
    {
        $this->db->where('id', $id)->delete('syllabus');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/syllabus'));
    }

    public function result()
    {
        $this->load->view('admin/result');
    }

    public function result_add()
    {
        $this->load->view('admin/result_add');
    }

    public function result_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif|pdf';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = '';
            }
        }else{
            $pic = '';
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'name'    => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id']   
        );
        $query=$this->db->insert('result', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/result'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/result_add')); 
        }
    }

    public function result_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/result_edit', $data);
    }

    public function result_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'name'     => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id'] 
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('result', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/result'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function result_delete($id)
    {
        $this->db->where('id', $id)->delete('result');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/result'));
    }

    public function result_board()
    {
        $this->load->view('admin/result_board');
    }

    public function result_board_add()
    {
        $this->load->view('admin/result_board_add');
    }

    public function result_board_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif|pdf';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = '';
            }
        }else{
            $pic = '';
        }
        
        $data = array(
            'name'    => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id']   
        );
        $query=$this->db->insert('result_board', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/result_board'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/result_board_add')); 
        }
    }

    public function result_board_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/result_board_edit', $data);
    }

    public function result_board_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'name'     => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id'] 
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('result_board', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/result_board'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function result_board_delete($id)
    {
        $this->db->where('id', $id)->delete('result_board');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/result_board'));
    }

    public function notice()
    {
        $this->load->view('admin/notice');
    }

    public function notice_add()
    {
        $this->load->view('admin/notice_add');
    }

    public function notice_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif|pdf';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = '';
            }
        }else{
            $pic = '';
        }
        
        $data = array(
            'head'         => $this->input->post('head', true),
            'details'  => $this->input->post('details', true),
            'pic'          => $pic,
            'sts'          => 1,
            'uid'          => $_SESSION['id'],
            'pdate'        => date('Y-m-d')
        );
        $query=$this->db->insert('notice', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/notice'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/notice_add')); 
        }
    }

    public function notice_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/notice_edit', $data);
    }

    public function notice_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'head'         => $this->input->post('head', true),
            'details'  => $this->input->post('details', true),
            'pic'          => $pic,
            'sts'          => 1,
            'uid'          => $_SESSION['id']
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('notice', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/notice'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function notice_delete($id)
    {
        $this->db->where('id', $id)->delete('notice');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/notice'));
    }

    public function photo_gallery()
    {
        $this->load->view('admin/photo_gallery');
    }

    public function photo_gallery_add()
    {
        $this->load->view('admin/photo_gallery_add');
    }

    public function photo_gallery_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = 'pic.jpg';
            }
        }else{
            $pic = 'pic.jpg';
        }
        
        $data = array(
            'pic'          => $pic,
            'sts'          => 1
        );
        $query=$this->db->insert('photo_gallery', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/photo_gallery'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/photo_gallery_add')); 
        }
    }

    public function photo_gallery_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/photo_gallery_edit', $data);
    }

    public function photo_gallery_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'pic'          => $pic,
            'sts'          => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('photo_gallery', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/photo_gallery'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function photo_gallery_delete($id)
    {
        $this->db->where('id', $id)->delete('photo_gallery');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/photo_gallery'));
    }

    public function video_gallery()
    {
        $this->load->view('admin/video_gallery');
    }

    public function video_gallery_add()
    {
        $this->load->view('admin/video_gallery_add');
    }

    public function video_gallery_store()
    {        
        $data = array(
            'url'          => $this->input->post('url', true),
            'sts'          => 1
        );
        $query=$this->db->insert('video_gallery', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/video_gallery'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/video_gallery_add')); 
        }
    }

    public function video_gallery_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/video_gallery_edit', $data);
    }

    public function video_gallery_update()
    {
        
        $data = array(
            'url'          => $this->input->post('url', true),
            'sts'          => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('video_gallery', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/video_gallery'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function video_gallery_delete($id)
    {
        $this->db->where('id', $id)->delete('video_gallery');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/video_gallery'));
    }

    public function download()
    {
        $this->load->view('admin/download');
    }

    public function download_add()
    {
        $this->load->view('admin/download_add');
    }

    public function download_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif|pdf';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = '';
            }
        }else{
            $pic = '';
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'name'    => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id']   
        );
        $query=$this->db->insert('download', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/download'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect(base_url('admin/download_add')); 
        }
    }

    public function download_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/download_edit', $data);
    }

    public function download_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'name'     => $this->input->post('name', true),
            'pic'      => $pic,
            'sts'      => 1,
            'pdate'    => date('Y-m-d'),
            'uid'      => $_SESSION['id'] 
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('download', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect(base_url('admin/download'));                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function download_delete($id)
    {
        $this->db->where('id', $id)->delete('download');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/download'));
    }
    
    public function history()
    {
        $this->load->view('admin/history');
    }

    public function history_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            } else {
                $pic = $this->input->post('old_name', true);
            }
        } else {
            $pic = $this->input->post('old_name', true);
        }

        $history = $this->input->post('history', true);
        $data = array('pic' => $pic, 'history' => $history);        
        $query=$this->db->update('history', $data, ['id' => 1]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function mission_vision()
    {
        $this->load->view('admin/mission_vision');
    }

    public function mission_vision_update()
    {
        $details = $this->input->post('details', true);
        $data = array('details' => $details);        
        $query=$this->db->update('mission_vision', $data, ['id' => 1]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function contactus()
    {
        $this->load->view('admin/contactus');
    }

    public function contactus_update()
    {
        $details = $this->input->post('details', true);
        $data = array('details' => $details);        
        $query=$this->db->update('contactus', $data, ['id' => 1]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function assets()
    {
        $this->load->view('admin/assets');
    }

    public function assets_update()
    {
        $details = $this->input->post('details', true);
        $data = array('details' => $details);        
        $query=$this->db->update('assets', $data, ['id' => 1]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }


    public function contact()
    {
        $this->load->view('admin/contact');
    }

    public function contact_update()
    {
        $details = $this->input->post('details', true);
        $data = array( 'details' => $details );        
        $query=$this->db->update('contactus', $data, ['id' => 1]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect($_SERVER['HTTP_REFERER']);                       
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }



    public function student()
    {
        $this->load->view('admin/student');
    }

    public function student_add()
    {
        $this->load->view('admin/student_add');
    }

    public function student_store()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = 'pic.jpg';
            }
        }else{
            $pic = 'pic.jpg';
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'roll_no'  => $this->input->post('roll_no', true),
            'name'     => $this->input->post('name', true),
            'father'   => $this->input->post('father', true),
            'mother'   => $this->input->post('mother', true),
            'gender'   => $this->input->post('gender', true),
            'pic'      => $pic,
            'reg_no'   => $this->input->post('reg_no', true),
            'subject'  => $this->input->post('subject', true),
            'sts'      => 1
        );
        $query=$this->db->insert('student', $data);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Save Successfull.</font>');
            redirect(base_url('admin/student'));                        
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function student_edit($id)
    {
        $data['id'] = $id;
        $this->load->view('admin/student_edit', $data);
    }

    public function student_update()
    {
        if(!empty($_FILES['picture']['name'])){
            $config['upload_path'] = 'img';
            $config['allowed_types'] = 'jpg|jpeg|png|gif';
            $config['file_name'] = time().rand(1000,9999).$_FILES['picture']['name'];                
            $this->load->library('upload',$config);
            $this->upload->initialize($config);                
            if($this->upload->do_upload('picture')){
                $uploadData = $this->upload->data();
                $pic = $uploadData['file_name'];
            }else{
                $pic = $this->input->post('picture_name', true);
            }
        }else{
            $pic = $this->input->post('picture_name', true);
        }
        
        $data = array(
            'class_id' => $this->input->post('class_id', true),
            'roll_no'  => $this->input->post('roll_no', true),
            'name'     => $this->input->post('name', true),
            'father'   => $this->input->post('father', true),
            'mother'   => $this->input->post('mother', true),
            'gender'   => $this->input->post('gender', true),
            'pic'      => $pic,
            'reg_no'   => $this->input->post('reg_no', true),
            'subject'  => $this->input->post('subject', true),
            'sts'      => 1
        );
        $id = $this->input->post('id', true);
        $query=$this->db->update('student', $data, ['id' => $id]);
        if ($query){
            $this->session->set_flashdata('msg', '<font color=green>Updated Success.</font>');
            redirect($_SERVER['HTTP_REFERER']);                        
        } else {
            $this->session->set_flashdata('msg', '<font color=red>Not Success!</font>');
            redirect($_SERVER['HTTP_REFERER']); 
        }
    }

    public function student_delete($id)
    {
        $this->db->where('id', $id)->delete('student');
        $this->session->set_flashdata('msg', '<font color=red>Delete Success!</font>');
        redirect(base_url('admin/student'));
    }

    public function student_report()
    {
        $this->load->view('admin/student_report');
    }

    public function student_report_show($id)
    {
        //$data['class_id'] = $this->input->post('class_id', true);
        $data['class_id'] = $id;
        $this->load->view('admin/student_report_show', $data);
    }

    

}
